Subject: Re: [bug#42123] [PATCH] linux-libre: Enable module compression.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 09 Jul 2020 09:56:38 +0200

Hi,

Mathieu Othacehe <[email-masked]> skribis:

> If it works for you, I could create three new Guile libraries:
>
> * Guile-libz
> * Guile-liblz
> * Guile-xz

If I may :-), it should be guile-zlib and guile-lzlib to match upstream
names.

(We don’t have bindings to XZ though.)

> or maybe just,
> * Guile-compression

Yeah it’s tempting, though OTOH users would be forced to pull everything
even if they only care about one of these.  Dunno.

Hall should come in handy to build those libs!  I guess people will be
happy to have them available outside Guix.

> It would help us getting rid of (guix config) as you proposed.

Yeah.

Thank you!

Ludo’.